Modify

#15843 closed defect (fixed)

OsmTransferException: No revert commands found

Reported by: naoliv Owned by: Upliner
Priority: major Milestone:
Component: Plugin reverter Version:
Keywords: Cc:

Description

It seems to be a regression from #15821
While trying to revert some changesets 55603318 55603428 55603504 55605366 55606060 I got this:

2018-01-28 14:04:40.975 ADVERTÊNCIA: No revert commands found for changeset 55 606 060
2018-01-28 14:04:40.977 GRAVE: org.openstreetmap.josm.io.OsmTransferException: No revert commands found for changeset 55 606 060
org.openstreetmap.josm.io.OsmTransferException: No revert commands found for changeset 55 606 060
	at reverter.RevertChangesetTask.revertChangeset(RevertChangesetTask.java:158)
	at reverter.RevertChangesetTask.realRun(RevertChangesetTask.java:93)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:95)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:143)
	at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:514)
	at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
	at java.base/java.lang.Thread.run(Thread.java:844)

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-01-27 00:16:32 +0100 (Sat, 27 Jan 2018)
Revision:13361
Build-Date:2018-01-27 02:32:24
URL:http://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13361 pt_BR) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 479 MB / 5120 MB (258 MB allocated, but free)
Java version: 9.0.1+11-Debian-1, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Java package: openjdk-9-jre:amd64-9.0.1+11-1
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-15
VM arguments: [--illegal-access=warn, --add-modules=java.se.ee, -Dawt.useSystemAAFontSettings=on]

Plugins:
+ Create_grid_of_ways (33856)
+ ImportImagePlugin (33563)
+ OpeningHoursEditor (33876)
+ PicLayer (34021)
+ SimplifyArea (33918)
+ apache-commons (33668)
+ areaselector (336)
+ austriaaddresshelper (1511306130)
+ buildings_tools (34030)
+ download_along (33710)
+ editgpx (33782)
+ ejml (32680)
+ geojson (73)
+ geotools (33958)
+ jogl (1.1.0)
+ jts (32699)
+ log4j (32699)
+ measurement (33760)
+ merge-overlap (33848)
+ opendata (34019)
+ photo_geotagging (33967)
+ poly (33570)
+ reverter (34028)
+ tageditor (33806)
+ todo (30303)
+ turnlanes-tagging (260)
+ turnrestrictions (33780)
+ undelete (33980)
+ utilsplugin2 (33991)

Attachments (0)

Change History (1)

comment:1 Changed 21 months ago by Don-vip

Resolution: fixed
Status: newclosed

Fixed in [o34036:34037].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Upliner.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.